﻿using Ivi.Driver;
using Ivi.RFSigGen;
using RohdeSchwarz.RsRFSigGen;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

//Before you can use this example, download IVI shared components and IVI.NET shared components from:
//http://www.ivifoundation.org/shared_components/Default.aspx

//instrument driver installation files including RohdeSchwarz.RsRFSigGen.Fx40.dll are located in:
//c:\Program Files\Rohde-Schwarz\RsRfSigGen\

namespace RsRFSigGenRFSettingsExample
{
    class Program
    {
        static void Main(string[] args)
        {
            RsRFSigGen driver = null;
            string resourceDesc = "TCPIP0::192.168.5.236";

            using(driver = new RsRFSigGen(resourceDesc, false, true, null))
            {

                Console.WriteLine("Driver: {0}, {1}", driver.Identity.Identifier, driver.Identity.Revision);
                Console.WriteLine("Instrument: {0}, {1}", driver.Identity.InstrumentModel, driver.Identity.InstrumentFirmwareRevision);
                
                driver.RFAnalogModulation.Path["A"].RFFrequencySettings.Frequency = 1.1e9;
                driver.RFAnalogModulation.Path["A"].RFLevelSettings.Amplitude = -32;
                driver.RFAnalogModulation.Path["A"].OutputEnabled = true;
            }

            Console.WriteLine("Done - Press Enter to Exit");
            Console.ReadLine();
        }
    }
}
